Skip to main content
GET
cURL

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

org_id
string<uuid>
required

The unique identifier for the organisation.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
operation,
work_order,
street_manager_permit,
responsible_people
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • reference_in: Filter by permit reference number(s)
  • work_status_in: Filter by work status value(s)
  • work_status_not_in: Exclude permits with specified work status value(s)
  • status_in: Filter by permit status value(s)
  • status_not_in: Exclude permits with specified status value(s)
  • risk_in: Filter by risk level value(s)
  • assigned_to_me: Filter for permits assigned to the current user

For more information on using named filters, see the docs

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

List of permits.

JSON API response object

data
A list of permits · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a permit is returned

An operation